apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  creationTimestamp: "2026-01-18T09:17:08Z"
  generation: 14
  name: example-velero
  namespace: openshift-adp
  resourceVersion: "38300072"
  uid: 88c28dd6-1738-4a3d-ba25-96373f6947e5
spec:
  backupLocations:
  - name: bucket-cloud20-pvc
    velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: default
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: http://minio-minio-bucket.apps.vlan603.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: minio-oadp-bucket-credentials
      default: false
      objectStorage:
        bucket: minio-oadp-bucket
        prefix: velero
      provider: aws
  - name: bucket-cloud20-cephrbd
    velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: default
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: http://minio-minio-bucket.apps.vlan603.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: minio-oadp-bucket-credentials
      default: true
      objectStorage:
        bucket: minio-oadp-bucket-1
        prefix: velero
      provider: aws
  - name: bucket-cloud20-cephfs
    velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: default
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: http://minio-minio-bucket.apps.vlan603.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: minio-oadp-bucket-credentials
      default: false
      objectStorage:
        bucket: minio-oadp-bucket-2
        prefix: velero
      provider: aws
  - name: bucket-cloud20-netapp
    velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: default
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: http://minio-minio-bucket.apps.vlan603.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: minio-oadp-bucket-credentials
      default: false
      objectStorage:
        bucket: minio-oadp-bucket-3
        prefix: velero
      provider: aws
  - name: bucket-cloud20-ibm
    velero:
      config:
        insecureSkipTLSVerify: "true"
        profile: default
        region: noobaa
        s3ForcePathStyle: "true"
        s3Url: http://minio-minio-bucket.apps.vlan603.rdu2.scalelab.redhat.com
      credential:
        key: cloud
        name: minio-oadp-bucket-credentials
      default: false
      objectStorage:
        bucket: minio-oadp-bucket-4
        prefix: velero
      provider: aws
  configuration:
    nodeAgent:
      cacheLimitMB: 250000
      dataMoverPrepareTimeout: 200m
      enable: true
      loadConcurrency:
        globalConfig: 2
      podConfig:
        resourceAllocations:
          limits:
            ephemeral-storage: 300Gi
          requests:
            cpu: 1
            ephemeral-storage: 300Gi
            memory: 16384Mi
      timeout: 2880m
      uploaderType: kopia
    velero:
      defaultPlugins:
      - openshift
      - aws
      - csi
      - kubevirt
      disableFsBackup: false
      logLevel: debug
      podConfig:
        resourceAllocations:
          requests:
            cpu: 2000m
            memory: 4096Mi
      resourceTimeout: 300m
  logFormat: text
status:
  conditions:
  - lastTransitionTime: "2026-01-20T08:47:21Z"
    message: Reconcile complete
    reason: Complete
    status: "True"
    type: Reconciled
